Verify APIAccount access

Create account access request

POST
/account-access

Authorization

bearer
headerAuthorizationBearer <token>

Header Parameters

Idempotency-Key*string

It helps preventing duplicates in your POST requests. It is recommend using a UUID for the key, however you may use any other unique identifier you choose.

Lengthlength <= 64
X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1
X-Volt-Initiation-Channel*string

Channel used for account access flow.

Value in"hosted""api"

Request Body

application/json
  1. body
internalReference*string

Identifier of the account access request in the Partner's system. This field can contain up to 100 characters, including special ones. It is required to be set. It needs to be unique within your customer account.

Lengthlength <= 100
informationSystem*"OPEN_BANKING"

Information system used to make account access request.

Value in"OPEN_BANKING"
openBanking?

Definition used for processing account access request.

Object is required if informationSystem is set to OPEN_BANKING_EU.

subject*

Information about the subject.

scopes*array<>

List of data scopes Partner wants to access.

device?

Device used to call the endpoint.

communication*

Settings for establishing communication back to the partner.

Object is required when X-Volt-Initiation-Channel is api.

termsAndConditionsAccepted?boolean

Flag indicated that T&C has been presented to the subject and accepted by the subject.

This field is required when X-Volt-Initiation-Channel is api.

If value is different than true, validation will fail.

Response Body

application/json
  1. response
id?string

Identifier of account access request.

Formatuuid
internalReference?|

Identifier of the account access request in the Partner's system.

Lengthlength <= 100
informationSystem?"OPEN_BANKING"

Information system used to process account access request.

Value in"OPEN_BANKING"
openBankingEU?

Definition used for processing account access request.

Object is present in the response if informationSystem is set to OPEN_BANKING_EU.

subject?

Information about the subject.

scopes?array<>

List of data scopes Partner wants to access.

device?

Device used to call the endpoint for account access request creation.

status?

Status of account access request.

createdAt?string

Date of access request creation.

Formatdate-time
updatedAt?|

Date of access request's last update.

Formatdate-time
accountAccessFlow?

Account access flow object. It steers the account access flow.

Example Request
curl -X POST 'https://gateway.sandbox.volt.io/account-access' \  -H 'Idempotency-Key: string' \  -H 'X-Volt-Api-Version: 1' \  -H 'X-Volt-Initiation-Channel: hosted' \  -H 'Content-Type: application/json' \  -d '{  "internalReference": "string",  "informationSystem": "OPEN_BANKING",  "subject": {    "reference": "string"  },  "scopes": [    "ACCOUNTS",    "IDENTIFICATION",    "BALANCES"  ],  "communication": {    "notification": {      "url": "https://example.com/webhooks"    },    "return": {      "urls": {        "unified": {          "url": "https://example.com/account-acccess"        }      }    }  }}'
Example Response201
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "internalReference": "H35X48Y4FWOD6G3S",  "informationSystem": "OPEN_BANKING_EU",  "openBankingEU": {    "institutionId": "cdae5c01-a629-4362-be56-52101ec22a49",    "accountIdentifiers": {}  },  "subject": {    "reference": "JDOE-101",    "email": "johndoe@example.com"  },  "scopes": [    "ACCOUNTS",    "IDENTIFICATION",    "BALANCES"  ],  "device": {    "ip": "192.168.0.1",    "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:42.0) Gecko/20100101 Firefox/42.0",    "fingerprint": "2aae6c35c94fcfb415dbe95f408b9ce91ee846ed"  },  "status": {    "status": "NEW",    "reason": null  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "accountAccessFlow": {    "status": "PROCESSING",    "details": {      "reason": "AWAITING_USER_REDIRECT",      "redirect": {        "url": "https://vo.lt/asqIs",        "directUrl": "https://myBank.com/authorisation?code=xyz"      }    }  }}